Package org.eclipse.birt.chart.device

# Interface ICallBackNotifier

All Superinterfaces:
  `IUpdateNotifier`

public interface ICallBackNotifier extends IUpdateNotifier
This interface adds the callback ability to the existing IUpdateNotifer interface, any listener who want to perform a callback must implement this instead of the original IUpdateNotifer.

## Method Summary

Modifier and Type
Method
Description
`void`
`callback(Object event, Object source, CallBackValue value)`
Invokes the callBack.

### Methods inherited from interface org.eclipse.birt.chart.device.IUpdateNotifier

`getDesignTimeModel, getRunTimeModel, peerInstance, regenerateChart, repaintChart`

## Method Details

### callback

void callback(Object event, Object source, CallBackValue value)
Invokes the callBack.

Parameters:
  `event` - CallBack event object.
  `source` - CallBack source object.
  `value` - CallBack value.